## SYNOPSIS

           chsh [-s shell] [-l] [-q] [-u] [-v] [user]

## DESCRIPTION

           chsh  is  used  to  change the user login shell.  A normal
           user may  only  change  the  login  shell  for  their  own
           account, the super user may change the login shell for any
           account.

           If a shell is not given on the command line, chsh operates
           in  an  interactive  fashion,  prompting the user with the
           current login shell.  Enter the new value  to  change  the
           field,  or  leave the line blank to use the current value.
           Enter none to remove the current value.  The current value
           is displayed between a pair of [ ] marks.

           The  only  restrictions  placed on the login shell is that
           the command name must be listed in /etc/shells, unless the
           invoker  is  the  super-user,  and  then  any value may be
           added.  An account with a restricted login shell  may  not
           change their login shell.

           This version of chsh is able to change the shell of local,
           NIS, NIS+ and LDAP accounts , if the permissions allow it.

## OPTIONS

           -s, --shell
                  Specify your login shell.

           -l, --list-shells
                  Print  the list of shells listed in /etc/shells and
                  exit.

           -q, --quite
                  Don't be verbose.

           -u, --usage
                  Print a usage message and exit.

               --help
                  Print a more verbose help text and exit.

           -v, --version
                  Print version information and exit.

## FILES

           /etc/passwd - user account information
           /etc/shells - list of valid login shells

## SEE ALSO

           chfn(1), passwd(5), shells(5)